Bug 240233 - Can't set display for <graphics type='sdl'/>
Can't set display for <graphics type='sdl'/>
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
: 427690 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-05-15 17:26 EDT by Markus Armbruster
Modified: 2009-01-22 08:07 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-22 08:07:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Markus Armbruster 2007-05-15 17:26:33 EDT
Description of problem:
The old-style /etc/xen config files let me set up the internal viewer on some X
display like this:
    vfb = ["type=sdl,display=:0"]
With the new configuration stuff, I need to edit the output of virsh dumpxml,
then load it back with virsh define.

Changing from the default
    <graphics type='vnc' port='5900'/>
    <graphics type='sdl' display='localhost:0'/>
doesn't quite work: virsh define silently ignores the display attribute.
This renders the builtin viewer unusable.

Same problem may exist for other attributes.  See docs/man/xmdomain.cfg.pod.5 in
the Xen source tree for the list of documented attributes.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. virsh dumpxml FOO >FOO.xml
2. edit FOO.xml as indicated above.
3. virsh define FOO.xml
4. virsh dumpxml FOO | grep graph

Actual results:
Step 4 output is
    <graphics type='sdl'/>

Expected results:
Step 4 output should be
    <graphics type='sdl' display='localhost:0'/>

Additional info:
Comment 1 Daniel Berrange 2007-11-06 17:16:51 EST
Yep, libvirt doesn't really seriously support SDL graphics at all. Lack of
support for passing around  'display' is just one example. There's a bunch of
'XXX' flags in the code wrt to fixing this stuff up. Its doable, just needs a
little coding.
Comment 2 Bug Zapper 2008-04-03 20:42:53 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Daniel Berrange 2008-04-03 21:02:58 EDT
This bug is still relevant today.
Comment 4 Daniel Berrange 2008-04-03 21:05:49 EDT
*** Bug 427690 has been marked as a duplicate of this bug. ***
Comment 5 Bug Zapper 2008-05-13 22:54:24 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 6 Daniel Berrange 2009-01-22 08:07:34 EST
This was fixed in release 0.5.1 of libvirt.

Note You need to log in before you can comment on or make changes to this bug.